# avoid empty debuginfo package
%define debug_package %{nil}

Summary:   A library of Sparce Linear Solvers
Name:      taucs
Version:   2.2
Release:   4%{?dist}
License:   GPLv2
Group:     Development/Libraries
URL:       http://www.cs.tau.ac.il/~stoledo/taucs/
Source0:   http://www.tau.ac.il/~stoledo/taucs/2.2/%{name}.tgz
Source1:   http://glaros.dtc.umn.edu/gkhome/fetch/sw/metis/metis-4.0.tar.gz
Patch0:    configurator.patch
Patch1:    log2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: atlas-devel 
BuildRequires: lapack-devel
BuildRequires: compat-gcc-34-g77
Requires:  compat-gcc-34-g77 atlas-devel lapack-devel 

%description
TAUCS is a C library of sparse linear solvers.
  
%prep
%setup -q -c -n %{name} -a1
%patch0 -p1 -b .configurator
%patch1 -p0 -b .log2
sed -i -e's,LIBBLAS   = -L external/lib/linux,LIBBLAS   = -L %{_libdir}/atlas,g' config/linux.mk
sed -i -e's,LIBLAPACK = -L external/lib/linux,LIBLAPACK = -L %{_libdir},g' config/linux.mk

%build

# Build bundled metis first
pushd metis-4.0
    sed -i -e's,(INCLUDES),(INCLUDES) -fPIC,g' Lib/Makefile
    %{__make} %{?_smp_mflags}
popd

cd $RPM_BUILD_DIR/%{name}
mkdir -p external/lib/linux/
cp metis-4.0/libmetis.a external/lib/linux/
ln -s %{_libdir}/libg2c.so.0.0.0 $RPM_BUILD_DIR/%{name}/external/lib/linux/libg2c.so
./configure prefix=%{buildroot}%{_prefix}
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir}/%{name}
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{_prefix}/lib
make install
mv %{buildroot}%{_includedir}/*.h  %{buildroot}%{_includedir}/%{name}
mv %{buildroot}%{_prefix}/lib/lib*.a %{buildroot}%{_libdir}/%{name}
rm -rf %{buildroot}%{_prefix}/lib/libg2c.so
cd %{buildroot}%{_libdir}/%{name}
ln -sf ../libg2c.so.0.0.0 libg2c.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-,root,root,-)
%doc CGAL-README.TXT doc/%{name}.pdf metis-4.0/Doc/manual.ps
%{_includedir}/%{name}/taucs*
%{_libdir}/%{name}/libmetis.a
%{_libdir}/%{name}/libg2c.so
%{_libdir}/%{name}/libtaucs.a

%changelog
* Thu Dec 17 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2-4
- Compiling with -fPIC for the CGAL-demos.

* Wed Nov 18 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2-3
- Compiled with compat-gcc-34-g77
- Applied log2 patch.

* Thu Aug 03 2007 Paulo Roma <roma@lcg.ufrj.br> 2.2-2
- Added manuals.

* Thu Aug 02 2007 Paulo Roma <roma@lcg.ufrj.br> 2.2-1
- Initial spec file.
- Used configuration files from CGAL version: 
  ftp://ftp.mpi-sb.mpg.de/pub/outgoing/CGAL/taucs_full.tgz
  configure, configurator/taucs_config.c, config/*.mk

